%{?nodejs_find_provides_and_requires}

%global packagename babel-runtime
%global enable_tests 1

Name:		nodejs-babel-runtime
Version:	6.5.0
Release:	1%{?dist}
Summary:	The babel selfContained runtime

License:	MIT
URL:		https://github.com/babel/babel/tree/master/packages/babel-runtime
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/babel/babel/v6.5.2/LICENSE

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(core-js)
%endif

%description
The babel selfContained runtime


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

# Remove the bundled core-js library
rm -rf core-js

%nodejs_fixdep core-js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js helpers/ regenerator/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- There are no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 6.5.0-1
- Initial packaging
